-- Scripts.applescript
-- PTPublisher

--  Created by Matt Kaiser on 5/5/08.
--  Copyright 2008 __MyCompanyName__. All rights reserved.

on OpenDCFFile(dcffile)
	tell application "Disc Cover 2 PE"
		launch
		set dcDocument to openDocument filename dcffile visible yes
		activate
	end tell
end OpenDCFFile

on GetDCFDocsOpen()
	tell application "Disc Cover 2 PE"
		if (count documents) = 0 then
			quit
		end if
	end tell
end GetDCFDocsOpen
on CreateDCFPreviewMerge(dcffile, imageFile, mergeFile, mergeRecord)
	tell application "Disc Cover 2 PE"
		launch
		set dcDocument to openDocument filename dcffile visible no
		tell dcDocument
			setMergeFieldsFromFile filename mergeFile lineNumber mergeRecord
			exportDocumentTo filename imageFile filetype "jpg" resolution 72
		end tell
		quit
	end tell
end CreateDCFPreviewMerge
on OpenDCFFileWithImage(imageFile)
	tell application "Disc Cover 2 PE"
		launch
		set frontmost to true
		set dcDocument to openDocument filename "" visible yes
		tell dcDocument
			setImageAsBackground filename imageFile
		end tell
		activate
	end tell
end OpenDCFFileWithImage

on CreateDCFPreview(dcffile, imageFile)
	tell application "Disc Cover 2 PE"
		launch
		set dcDocument to openDocument filename dcffile visible no
		tell dcDocument
			exportDocumentTo filename imageFile filetype "jpg" resolution 72
			close
		end tell
		quit
	end tell
end CreateDCFPreview

on CreateDCFPreviewForPrinting(dcffile, imageFile)
	tell application "Disc Cover 2 PE"
		launch
		set dcDocument to openDocument filename dcffile visible no
		tell dcDocument
			exportDocumentTo filename imageFile filetype "jpg" resolution 600
			close
		end tell
		quit
	end tell
end CreateDCFPreviewForPrinting
